सवाल मैं विंडोज वीपीएन मार्ग चुनिंदा यातायात (गंतव्य नेटवर्क द्वारा) कैसे बना सकता हूं?


मैं एक विंडोज़ वीपीएन का उपयोग करना चाहता हूं लेकिन केवल एक विशेष नेटवर्क के लिए, ताकि यह मेरा पूरा नेटवर्क कनेक्शन न ले सके।

उदाहरण के लिए, वीपीएन डिफ़ॉल्ट मार्ग बनने के बजाय, इसे केवल 192.168.123.0/24 के लिए मार्ग बनाएं

(मैं देख सकता हूं कि उबंटू के लिए इसका समाधान है इस सवाल में, लेकिन कभी-कभी मुझे विंडोज़ पर भी ऐसा करना पड़ता है)

क्या यह स्वचालित हो सकता है ताकि जब भी मैं वीपीएन से कनेक्ट हो यह ऐसा करता है?


129
2017-07-24 09:33


मूल


वीपीएन के माध्यम से साइटों का एक समूह फ़िल्टर करने के लिए कोई संबंधित सवाल है? ऐसा लगता है कि यहां दिए गए उत्तरों केवल उस मामले के लिए काम करेंगे जहां वीपीएन के पीछे एक ही साइट है। मैं चीन में हूं और लगभग आधा साइटें जिन्हें मैं उपयोग करना चाहता हूं अवरुद्ध हैं इसलिए वीपीएन के माध्यम से जाना चाहिए लेकिन वीपीएन के बिना अन्य साइटें तेज / चिकनी हैं। - hippietrail
मैं आगे बढ़ गया और एक नया सवाल पूछा: superuser.com/questions/925947 - hippietrail


जवाब:


आप वीपीएन के गुणों पर जाकर अपना पूरा कनेक्शन लेना बंद कर सकते हैं, Networking टैब, Internet Protocol (TCP/IP) गुण, Advancedअनटिक करें Use default gateway on remote network। यह एक मार्ग छोड़ सकता है या नहीं भी हो सकता है 192.168.123.0/24 वीपीएन सर्वर के सेटअप के आधार पर। यदि ऐसा नहीं होता है, तो आपको प्रत्येक बार मैन्युअल रूप से मार्ग जोड़ना होगा, हालांकि आप इसे बैच फ़ाइल में डाल सकते हैं।

मार्ग को मैन्युअल रूप से जोड़ने के लिए, चलाएं (व्यवस्थापक के रूप में):

route -p add 192.168.0.12 mask 255.255.255.255 10.100.100.254

यह उदाहरण आईपी के लिए एक निरंतर (रीबूट के बाद आदेश चलाने के लिए आवश्यक नहीं है) बना देगा 192.168.0.12 वीपीएन गेटवे के माध्यम से 10.100.100.254

इसके बारे में अधिक जानकारी http://technet.microsoft.com/en-us/library/bb878117.aspx


129
2017-07-24 11:11



"आपको मार्ग को मैन्युअल रूप से जोड़ना होगा" ... कैसे? वीपीएन के माध्यम से जाने के लिए, किसी को बल कैसे देता है, "1 9 2.168.10.123", लेकिन कुछ और नहीं? - Timothy Khouri
निजी तौर पर, मैंने पाया कि चेकबॉक्स बंद करना पर्याप्त था। मुझे कोई रास्ता जोड़ने की ज़रूरत नहीं थी। मैंने सत्यापित किया कि सबकुछ जा रहा है जहां मैं कई मार्टर्स के माध्यम से इसकी अपेक्षा करता हूं। - eidylon
वही, यह चेकबॉक्स वह सब कुछ था जिसकी आवश्यकता थी। - Luk
कृपया स्पष्ट करें। वीपीएन पर कौन सा यातायात चलाया जाता है? क्या यह सिर्फ वीपीएन सर्वर के आईपी को लक्षित यातायात है? उदाहरण के लिए, यदि वीपीएन कनेक्शन "my.domain.com" पर जाता है, तो क्या इसका मतलब क्लाइंट पर "my.domain.com" पर सभी ट्रैफिक वीपीएन पर जाता है, और बाकी सब कुछ डिफ़ॉल्ट गेटवे पर जाता है? - Triynko
मैंने "रूट प्रिंट" कमांड का इस्तेमाल किया, और सत्यापित किया कि जेनरेट किए गए रूट 7 मृत गलत थे। यह मेरे वीपीएन के आईपी को वीपीएन को संबोधित यातायात नहीं भेज रहा था ... इसके बजाय यह इसे मेरे स्थानीय प्रवेश द्वार पर भेज रहा था। तालिका में कुछ परिपत्र प्रविष्टियां भी थीं। मैंने विंडोज़ बनाया गया रूट हटा दिया, फिर मैन्युअल रूप से सही मार्ग जोड़ा ताकि मेरा वीपीएन सर्वर का आईपी एड्रेस एंट्री इंटरफेस के लिए वीपीएन के गेटवे और क्लाइंट के स्थानीय आईपी का उपयोग करे। मेरे वीपीएन सर्वर के लिए यातायात को सफलतापूर्वक वीपीएन सुरंग के माध्यम से मार्गांतरित किया गया था, और अन्य सभी यातायात अपेक्षित के रूप में अप्रभावित थे। अच्छा काम करता है। - Triynko


मैंने सफलतापूर्वक उपयोग किया @ टीआरएस -80यह हासिल करने के लिए तकनीक है।

मैं घर से काम करता हूं और अपने ईमेल के लिए कॉर्पोरेट नेटवर्क पर वीपीएन करना चाहता हूं (मुझे वेबमेल से नफरत है !!)।

साथ ही, मुझे लगातार जानकारी के लिए सर्फिंग करने की आवश्यकता है और मेरे पृष्ठभूमि संगीत के लिए यूट्यूब की भी आवश्यकता है ... अब आप निश्चित रूप से वीपीएन से यूट्यूब स्ट्रीम नहीं करना चाहते हैं क्योंकि यह रोबोट गायन की तरह लगता है !!! :)

मैंने जो किया वह @ टीआरएस -80 का पालन किया गया था:

वीपीएन के गुण, नेटवर्किंग टैब, "इंटरनेट प्रोटोकॉल (टीसीपी / आईपी)"   गुण, उन्नत, अनमिक "दूरस्थ नेटवर्क पर डिफ़ॉल्ट गेटवे का उपयोग करें"

और फिर मेरा अपना किया:

DNS टैब के अंतर्गत, "इस कनेक्शन पते को DNS में पंजीकृत करें" पर निशान लगाएं

सभी काम निर्बाध रूप से!


18
2018-02-28 16:05





यह जवाब दिया गया है कि यह उत्तर आपके अनुरोध को प्रतिबिंबित नहीं करता है लेकिन मैं विशेष रूप से इस उद्देश्य के लिए वीएम का उपयोग करता हूं। इस तरह वीएम के अंदर केवल नेटवर्क मार्गों द्वारा प्रतिबंधित है।

आपको अन्य लोगों द्वारा कुछ बेहतर उत्तर मिल सकते हैं लेकिन कम से कम यह आपको कुछ विचार करने के लिए कुछ दे सकता है क्योंकि वीएम बनने के बाद यह एक आसान समाधान है।


8
2017-07-24 10:09



यह एक अच्छा समाधान है बशर्ते आपका हार्डवेयर इसे अच्छी तरह से संभाल सके। - Enigma


मैंने पाया कि इसे सीधे रूट कमांड में इंटरफेस को इंगित करने की आवश्यकता है। इसके बिना, विंडोज़ वीपीएन के बजाय मुख्य नेटवर्क कार्ड इंटरफेस का उपयोग करने जा रहा है। मेरे मामले में, ऐसा लगता है

route -p add 192.168.10.187 mask 255.255.255.255 0.0.0.0 IF 26
::           ^destination        ^mask           ^gateway   ^interface

'अगर 26' नोट करें।


7
2017-09-25 05:41



यह मेरे लिए भी काम किया। यह जानने के लिए कि आपको कौन सा इंटरफ़ेस चाहिए, बस "रूट प्रिंट" कमांड निष्पादित करें और उपलब्ध इंटरफेस की सूची प्रदर्शित करने वाली पहली पंक्तियां देखें (वहां अपना वीपीएन ढूंढें और इसकी आईएफ जांचें - यह पहले कॉलम में होगा)। - Funbit
इस पर एक शानदार लेख है: संपर्क। 0.0.0.0 का उपयोग डिफ़ॉल्ट गेटवे आईपी के रूप में अच्छी तरह से काम करने लगता है, इसलिए इसे परिवर्तन पर समायोजित करने की आवश्यकता नहीं है। इस जवाब में शामिल होना बहुत अच्छा होगा, क्योंकि आईएमओ यह शीर्ष की तुलना में कहीं अधिक उपयोगी है। - lpd


यदि आपके पास आईपीवी 4 और आईपीवी 6 दोनों हैं तो आपको दोनों जगहों पर "दूरस्थ नेटवर्क पर डिफ़ॉल्ट गेटवे का उपयोग करें" को अनचेक करना होगा, भले ही आप केवल आईपीवी 4 का उपयोग करें


4
2017-07-29 09:03





यदि आप सीएमएके का उपयोग करते हैं और एक रूटिंग फ़ाइल सेट करते हैं जो क्लाइंट डाउनलोड कर सकता है ... विंडोज रूटिंग फ़ाइल डाउनलोड करेगा और उचित रूप से रूट समायोजित करेगा। डिफ़ॉल्ट मार्ग को हटाने के विकल्प हैं ... और विभिन्न स्थिर मार्ग और ऐसे जोड़ें। इसे एक विभाजित सुरंग बीटीडब्ल्यू के रूप में जाना जाता है।

यहां एक अच्छा तरीका है: http://blogs.technet.com/b/rrasblog/archive/2007/06/11/split-tunnelling-using-cmak.aspx


3
2018-03-28 18:32





मैं मिश्रण में अपना समाधान जोड़ना चाहता हूं। यह विंडोज 7 या नए पर एक सिग्विन संचालित यूनिक्स शैल पर चलता है लेकिन 14 9 86, या विंडोज़ के लिए बसबॉक्स बनाने के बाद एमएसवाईएस 2, बैश-ऑन-विंडोज [डब्ल्यूएसएल] के साथ भी काम करना चाहिए। व्यवस्थापक विशेषाधिकारों के साथ चलाने की आवश्यकता है।

इसमें कुछ सेटिंग्स हैं और कुछ चीजों का पता लगाने की कोशिश करता है जिन्हें आपने स्पष्ट रूप से सेट नहीं किया था। यह कुछ अन्य समस्याओं (जैसे मेरे) के कुछ समाधानों के साथ कुछ समस्याओं का सामना करने के लिए स्पष्ट रूप से इंटरफेस नंबर (आईएफ) भी सेट करता है।

#!/bin/sh

# these three settings are required
adapter_name='VPN Connection'
username=
password=

# This setting here might be important because it's about the target network
# and in some cases it can't be properly determined automatically so this might
# be then worth setting.
# Format is in CIDR notation with the network address and a forward slash and
# the amount of network bits
target_network=192.168.0.0/24

# the IP you will get on the target network, also the VPN gateway on your
# local machine, you normally don't need to set this as the script tries to
# detect it
ip=

# optional setting for metric which normally shouldn't be necessary,
# except in te very rare cases where it should be set to a value lower than all
# other routes that might match the target network
metric=

# experimental setting to delete routes to the target network prior and after
# should normally not be needed unless this script fails and you get error
# messages like 'The route addition failed: The object already exists.'
route_cleanup=F

prog_name=${0##*/}

msg() {
  printf '%s: %s\n' "$prog_name" "$*"
}

die() {
  msg "$*" >&2
  exit 1
}

[ "$adapter_name" ] || die "Adapter name not set!"
[ "$username" ]     || die "Username not set!"
[ "$password" ]     || die "Password not set!"

if [ "$(uname -o)" != 'MS/Windows' ]; then
  id -G | grep -qE '\<0|544\>' || die 'Not running with admin rights.'
fi

msg "Disconnecting any existing connection that might exist."
rasdial.exe "$adapter_name" /d

msg "Connecting"
rasdial.exe "$adapter_name" "$username" "$password"

if [ ! "$ip" ]; then
  msg "Getting IP address on target network."
  ip=$(netsh.exe interface ip show config name="$adapter_name" |
    grep -a 'IP Address' | awk -F'[: ]+' '{print $4}')

  [ "$ip" ] || die 'Could not get IP! Exiting.'

  msg "Detected IP address as '$ip'."
fi

if [ ! "$target_network" ]; then
  msg "Getting target network."
  target_network=$(netsh.exe interface ip show config name="$adapter_name" |
    grep -a 'Subnet Prefix' | awk -F'[: ]+' '{print $4}')

  [ "$target_network" ] || die 'Could not get target network! Exiting.'

  msg "Detected target network as '$target_network'."
fi

msg "Getting VPN interface number."
if=$(ROUTE.EXE print -4 | grep -a "$adapter_name" |
  awk -F. '{gsub(" ", "");print $1}')

[ "$if" ] || die 'Could not get interface number! Exiting.'

msg "Detected VPN interface number as '$if'."

if [ "$route_cleanup" = T ]; then
  msg "Deleting any potentially already existing routes for the target network."
  ROUTE.EXE delete "$target_network"
fi

msg "Adding route for target network."
if [ "$metric" ]; then
  ROUTE.EXE add "$target_network" "$ip" IF "$if" Metric "$metric"
else
  ROUTE.EXE add "$target_network" "$ip" IF "$if"
fi

msg "VPN should be up now."
msg "Press enter to make it stop."
read -r _

if [ "$route_cleanup" = T ]; then
  msg "Deleting route."
  ROUTE.EXE delete "$target_network"
fi

msg "Disconnecting."
rasdial.exe "$adapter_name" /d

# msg "Press enter to exit."
# read -r _

exit 0

यह ध्यान देने योग्य भी है कि मैन्युअल रूप से कम मीट्रिक सेट करना आवश्यक हो सकता है या अन्यथा डिफ़ॉल्ट मार्ग वीपीएन के लिए निर्धारित यातायात से पहले मेल खाता है। आप इसे एडाप्टर सेटिंग पर जाकर करते हैं जहां आप खोलते हैं "… गुण" वीपीएन एडाप्टर → के लिए मेनू आइटम "नेटवर्किंग" टैब → "इंटरनेट प्रोटोकॉल संस्करण 4 (टीसीपी / आईपी)" गुण → "उन्नत" → और वहां आप अनचेक करते हैं "स्वचालित मीट्रिक" चेकबॉक्स (इसके अलावा "डिफ़ॉल्ट गेटवे का प्रयोग करें ..." बेशक) और मूल्य में सेट करें "इंटरफेस मीट्रिक:" डिफ़ॉल्ट मार्ग से कम मूल्य पर फ़ील्ड (देखें ROUTE.EXE -4 print उत्पादन)।


2
2017-10-26 15:29